# cabal2spec-0.25.2
# https://fedoraproject.org/wiki/Packaging:Haskell
# https://fedoraproject.org/wiki/PackagingDrafts/Haskell

%global pkg_name case-insensitive

%global common_summary Haskell case insensitive string comparison

%global common_description The module Data.CaseInsensitive provides the CI type constructor which\
can be parameterised by a string-like type (String, ByteString,\
Text, etc.). Comparisons of values of the resulting type will be\
insensitive to cases.

Name:           ghc-%{pkg_name}
Version:        0.4.0.1
Release:        1%{?dist}
Summary:        %{common_summary}

Group:          System Environment/Libraries
License:        BSD
# BEGIN cabal2spec
URL:            http://hackage.haskell.org/package/%{pkg_name}
Source0:        http://hackage.haskell.org/packages/archive/%{pkg_name}/%{version}/%{pkg_name}-%{version}.tar.gz
ExclusiveArch:  %{ghc_arches}
BuildRequires:  ghc-Cabal-devel
BuildRequires:  ghc-rpm-macros %{!?without_hscolour:hscolour}
# END cabal2spec
BuildRequires:  ghc-hashable-prof

%description
%{common_description}


%prep
%setup -q -n %{pkg_name}-%{version}


%build
%ghc_lib_build


%install
%ghc_lib_install


%ghc_devel_package

%ghc_devel_description


%ghc_devel_post_postun


%ghc_files
%doc README.markdown


%changelog
* Thu Jan  5 2012 Jens Petersen <petersen@redhat.com> - 0.4.0.1-1
- update to 0.4.0.1 and cabal2spec-0.25.2

* Mon Oct 24 2011 Marcela Mašláňová <mmaslano@redhat.com> - 0.3.0.1-1.3
- rebuild with new gmp without compat lib

* Thu Oct 20 2011 Marcela Mašláňová <mmaslano@redhat.com> - 0.3.0.1-1.2
- rebuild with new gmp without compat lib

* Tue Oct 11 2011 Peter Schiffer <pschiffe@redhat.com> - 0.3.0.1-1.1
- rebuild with new gmp

* Sat Oct  8 2011 Jens Petersen <petersen@redhat.com> - 0.3.0.1-1
- update to 0.3.0.1
- depends on hashable

* Tue Sep 13 2011 Jens Petersen <petersen@redhat.com> - 0.2.0.2-2
- rebuild against newer ghc-rpm-macros

* Thu Aug 11 2011 Jens Petersen <petersen@redhat.com> - 0.2.0.2-1
- update to  0.2.0.2

* Thu Jun 30 2011 Jens Petersen <petersen@redhat.com> - 0.2.0.1-1
- BSD
- depends on text

* Thu Jun 30 2011 Fedora Haskell SIG <haskell-devel@lists.fedoraproject.org> - 0.2.0.1-0
- initial packaging for Fedora automatically generated by cabal2spec-0.24
